:root {
  --main1: rgb(168, 213, 186);
  --main1-dark: rgb(91, 110, 99);
  --main1-darker:rgb(18, 33, 24);
  --highlight: rgb(91, 255, 156);
  --highlight-darker: rgb(32, 167, 86);
  --highlight-brighter: rgb(212, 255, 229);
  --highlight-brighterr:rgb(253, 254, 255);
  --sweeten: rgb(26, 207, 98);
  --footer-color: black;
  
  --deep: black;
  --shallow: white;

  --main1-op: rgb(168, 213, 186, .8);
  --white-op: rgb(255,255,255,.8);
  --deep-op: rgb(0,0,0,.25);
}

#gallery {
  grid-template-columns: repeat(1, 1fr);
}

.slideshow .slide img{
  width: 80vw;
}

#prev, #next{
  font-size: 30px;
}

.gallery-info h2{
  transform: translate(-60px, -25px);
}

.gallery-info span{
  opacity: 1;
  animation: none;
  font-size: 20px;
}

.desktopversion{
  display: none;
}

.mobileversion{
  display: flex;
}

#partnerSwipeLeft, #partnerSwipeRight{
  display: none;
}

.services-container{
  flex-direction: column;
}

/* nav */
nav{
  height: 200px;
  position: fixed;
  background: rgb(0,0,0,.2);
}

.navbar{
  display: none;
}

#languageMenu{
  display: none;
}

.navbar-mobile{
  display: none;
  flex-direction: column;
  height: 100%;
  width: 100%;
  background: var(--main1-dark);
  right: 0;
  top: 0;
  animation: fadeInRight 1s;
  overflow: scroll;
}

.navbar-mobile a{
  color: white;
  font-size: 50px;
  margin: 20px 0px 20px 20px;
  font-weight: 600;
  padding: 25px 50px;
  border-left: 5px solid white;
}

.secondaryWelcome .serviceBg{
  object-position: center;
}

#mobileMenuIcon{
  display: flex;
  font-size: 100px;
  color: var(--highlight);
  margin-right: 30px;
}

.navbar-mobile{
  position: fixed;
  flex-direction: column;
}

/* home */
.welcomeSection{
  height: 100%;
}

.welcomeSection img{
  height: 100%;
}

.welcomeText{
  justify-content: center;
}

.welcomeText h1{
  font-size: 120px;
}

.welcomeText h3{
  font-size: 70px;
}

.mainButton, .secondaryButton, .tertiaryButton{
  width: 450px;
  height: 120px;
}

.mainButton span, .secondaryButton span, .tertiaryButton span{
  font-size: 38px;
}

.mainButton:hover, .secondaryButton:hover, .tertiaryButton:hover{
  width: 470px;
  height: 130px;
}

.mainButton:hover > span, .secondaryButton:hover > span, .tertiaryButton:hover > span{
  font-size: 40px;
}

.serviceWrapper h2{
  font-size: 80px;
}

#services-container{
  flex-direction: column;
}

.service{
  width: 100%;
  margin-bottom: 50px;
}

.service img{
  height: 400px;
}

.service h3{
  font-size: 45px;
}

.service span{
  font-size: 25px;
}

.detailsWrap h2{
  font-size: 80px;
  text-align: center;
  width: 100%;
}

.detailsWrap span{
  font-size: 30px;
  text-align: center;
}

.details{
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 20px
}

.details h3{
  font-size: 50px;
}

.detailsWrap div span{
  font-size: 20px;
}

.homeDescription{
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.homeDescription h2{
  font-size: 60px;
}

.homeDescriptionLogo{
  position: absolute;
  opacity: .2;
}

.homeDescriptionLogo img{
  height: 500px;
}

.homeDescription .mainButton span{
  font-size: 30px;
}

.homeDescription h3{
  font-size: 55px;
  width: 100%;
}

.homeDescription h4{
  width: 100%;
}

.welcomeText h4{
  font-size: 45px;
}

.aboutCta div span{
  font-size: 75px;
}

.aboutCta .material-symbols-outlined{
  font-size: 120px;
}

.aboutCta{
  justify-content: center;
}

.ctaSection{
  gap: 0px;
}

.services-container{
  display: grid;
}

/* secondary */
.secondaryWelcome img{
  height: 100%;
}

.secWelcomeText{
  padding: 300px 0px 50px 50px;
}

.secWelcomeText h1{
  font-size: 100px;
}

.valueRow{
  flex-direction: column;
  align-items: center;
}

.value{
  margin-bottom: 50px;
  padding-bottom: 450px;
  width: 100%;
}

.value h3{
  font-size: 70px;
}

.value p{
  font-size: 40px;
}

.serviceWrapper p{
  font-size: 25px;
}

.serviceLeft h2, .serviceRight h2{
  font-size: 70px;
}

.serviceLeft .serviceDescWrap{
  flex-direction: column;
  align-items: center;
}

.serviceRight .serviceDescWrap{
  flex-direction: column;
  align-items: center;
}

.serviceDescImg{
  width: 100%;
}

.serviceDescription{
  width: 90%;
  margin-top: 30px;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.serviceDescription a{
  display: flex;
  justify-content: center;
}

#largeGallery{
  grid-template-columns: repeat(3,1fr);
  padding: 30px;
}

.current, .reserve{
  display: grid !important;
  width: 70%;
}

.serviceSwiper{
  flex-direction: column;
}

/* buttons */
.navbar-mobile .closeButton{
  color: white;
  font-size: 120px;
  font-weight: 600;
  border: 0;
  box-shadow: none;
}

.carouselWrap{
  width: 98%;
}

#close{
  font-size: 100px;
  padding: 0px 35px;
}

#prev, #next{
  font-size: 100px;
}

#prev:hover, #next:hover{
  color: white;
}


/**/

.welcomeSection{
  height: 100px;
}

nav{
  gap: 80px;
}

.loginBox{
  height: 30%;
  width: 60%;
}

.loginBox form label{
  font-size: 45px;
}

.loginBox form input{
  font-size: 35px;
  padding: 25px;
}

.loginBox form{
  gap: 30px;
}

.loginBox span{
  font-size: 35px;
}

.category h1{
  color: white;
  width: 100%;
  border-bottom: 1px solid white;
  font-size: 60px;
}

.crudHeader h1 {
  font-size: 60px;
}

.crudHeader{
  width: 95%;
  justify-content: start;
}

.crudHeader .mainButton,.crudHeader .secondaryButton,.crudHeader .tertiaryButton{
  width: 200px;
  height: 70px;
}

.crudTable{
  width: 90%;
}

.crudTableProducts{
  width: 90%;
}

.crudButtons{
  width: 70%;
}

.crudBody{
  overflow-x: scroll;
}

.crudBody form{
  width: 420%;
}

.fullWidthProduct form{
  width: 500%;
}

.shopsBody form{
  width: 300%;
}

.categoryGrid {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 20px;
  margin: 50px 0px;
}

.categoryGrid .reference{
  height: 500px;
}

.reference img{
  max-width: 300px;
}

.reference h2{
  font-size: 60px;
}

.footerLogo span {
  font-size: 23px;
}

#backToTop{
  width: 60px;
  height: 60px;
}

#backToTop span {
  font-size: 35px;
}

/* kulcsos */

.kulcsosRow span{
  width: 500px !important;
  font-size: 35px;
}

.kulcsosRow .material-symbols-outlined{
  font-size: 55px;
}

.kulcsosRow input{
  transform: scale(5);
}

.kulcsosRow .mainButton{
  width: 200px;
  height: 70px;
  font-size: 25px;
}

.kulcsosRow2 span{
  width: 500px !important;
  font-size: 35px;
}

.kulcsosRow2 .material-symbols-outlined{
  font-size: 55px;
}

.kulcsosRow2 input{
  transform: scale(5);
}

.kulcsosRow2 .mainButton{
  width: 200px;
  height: 70px;
  font-size: 25px;
}

.crudBody h3 {
  font-size: 38px;
}

/* form */

.uploadForm form{
  width: 80%;
}

.editForm form{
  width: 80%;
}

.uploadForm form h2, .editForm form h2, .uploadFormSingle h2, .editFormSingle h2 {
  font-size: 60px;
  margin-bottom: 50px;
}

.uploadForm label, .editForm label, .uploadFormSingle label, .editFormSingle label {
  font-size: 60px;
}

.uploadForm form input, .uploadForm form textarea, .editForm form input, .editForm form textarea, .uploadFormSingle form input, .editFormSingle form input {
  font-size: 60px;
}

.uploadForm #uploadData2 #uploadParentCategorySelection{
  font-size: 70px;
}

.editForm #editData2 #editParentCategorySelection{
  font-size: 70px;
}

#uploadForm3 #uploadData3 #uploadProductCategorySelection{
  font-size: 70px;
}

#editForm3 #editData3 #editProductCategorySelection{
  font-size: 70px;
}

.uploadForm #uploadData2 #c_visible{
  transform: scale(3);
  margin-bottom: 50px;
}

.editForm #editData2 #editCatVisible{
  transform: scale(3);
  margin-bottom: 50px;
}

#uploadForm3 #uploadData3 .radioButtons #p_visible{
  transform: scale(3);
}

#uploadForm3 #uploadData3 .radioButtons #p_ispromo{
  transform: scale(3);
}

#editForm3 #editData3 .radioButtons #editProductVisibility{
  transform: scale(3);
}

#editForm3 #editData3 .radioButtons #editProductPromo{
  transform: scale(3);
}

.deleteConfirmation div h1 {
  font-size: 60px;
  text-align: center;
}


.cartProduct h1 {
  font-size: 30px;
}

.editForm form .ctaSectionFlex .tertiaryButton{
  width: 250px;
  height: 100px;
  font-size: 25px;
}

.editForm form .ctaSectionFlex .secondaryButton{
  width: 250px;
  height: 100px;
  font-size: 25px;
}

.editForm #editSpecs{
  width: 90%;
}